install problem on android 6.0.1

HI 

I have 2 Box's with PIA installed on both and have just bought a third this is a MXQ box with android 6.0.1 - when i try to install via play store it says your devise is not compatible with this version. It seems to be for phones ?? - is there another version that i can DL directly ?

thanks

G
Sign In or Register to comment.